%define oname   cancan

Name:       ruby-%{oname}
Version:    1.6.10
Release:    %mkrel 5
Summary:    Simple authorization solution for Rails
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/ryanb/cancan
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Simple authorization solution for Rails which is completely decoupled from
the user's roles. All permissions are stored in a single location for
convenience.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.6.10-5.mga10
+ Revision: 2210938
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 1.6.10-4.mga9
+ Revision: 1825863
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.6.10-3.mga8
+ Revision: 1499610
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.6.10-2.mga7
+ Revision: 1275055
- Mageia 7 Mass Rebuild

* Thu Dec 31 2015 pterjan <pterjan> 1.6.10-1.mga6
+ Revision: 917300
- Update to 1.6.10

* Wed Oct 15 2014 umeabot <umeabot> 1.6.8-10.mga5
+ Revision: 750979
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.8-9.mga5
+ Revision: 688758
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.6.8-8.mga4
+ Revision: 561784
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.6.8-7.mga4
+ Revision: 561070
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.6.8-6.mga4
+ Revision: 535308
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.6.8-5.mga4
+ Revision: 481903
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 1.6.8-4.mga4
+ Revision: 476504
- Fix file listing, all the gem is now installed

* Fri Feb 08 2013 umeabot <umeabot> 1.6.8-3.mga3
+ Revision: 395730
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.6.8-2.mga3
+ Revision: 380664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.6.8-1.mga3
+ Revision: 312634
- new version 1.6.8

* Sun Feb 13 2011 shikamaru <shikamaru> 1.2.0-1.mga1
+ Revision: 51345
- imported package ruby-cancan


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.2.0-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 623048
- import rubygem-cancan

